Name:           python-simpleidml
Version:        1.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library to manipulate Adobe(r) IDML(r) files.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Starou/SimpleIDML
Source:         %{pypi_source SimpleIDML}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'simpleidml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-simpleidml
Summary:        %{summary}

%description -n python3-simpleidml %_description


%prep
%autosetup -p1 -n SimpleIDML-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-simpleidml -f %{pyproject_files}


%changelog
%autochangelog